import request from '@/utils/request'

// 主数据表结构
export function getColumnsByModelId(id) {
  return request({
    url: '/md/search/getColumnsByModelId?modelId=' + id,
    method: 'get'
  })
}

// 查询待审批
export function getTOApproveList(data) {
  return request({
    url: '/md/approve/getTOApproveList',
    method: 'get',
    params: data
  })
}

// 查询已审批
export function getApproveedList(data) {
  return request({
    url: '/md/approve/getApproveedList',
    method: 'get',
    params: data
  })
}
// 批量审批
export function getApproveDatas(data) {
  return request({
    url: '/md/approve/ApproveDatas',
    method: 'post',
    data: data
  })
}
// 审批日志
export function getApproveLogList(data) {
  return request({
    url: '/md/search/getApproveLogList',
    method: 'get',
    params: data
  })
}

// 数据对比
export function getDataContrast(data) {
  return request({
    url: '/md/approve/getDataContrast',
    method: 'get',
    params: data
  })
}
// 审批单条记录
export function getApproveData(data) {
  return request({
    url: '/md/approve/ApproveData',
    method: 'post',
    data: data
  })
}
